import request from '@/utils/request'

// 查询成果列表列表
export function listWjscqk(query) {
  return request({
    url: '/yscgWjscqk/wjscqk/list',
    method: 'get',
    params: query,
  })
}

// 查询成果列表详细
export function getWjscqk(id) {
  return request({
    url: '/yscgWjscqk/wjscqk/' + id,
    method: 'get',
  })
}

// 新增成果列表
export function addWjscqk(data) {
  return request({
    url: '/yscgWjscqk/wjscqk',
    method: 'post',
    data: data,
  })
}

// 修改成果列表
export function updateWjscqk(data) {
  return request({
    url: '/yscgWjscqk/wjscqk',
    method: 'put',
    data: data,
  })
}

// 删除成果列表
export function delWjscqk(id) {
  return request({
    url: '/yscgWjscqk/wjscqk/' + id,
    method: 'delete',
  })
}

// 查询成果管理列表
export function listYscgList(query) {
  return request({
    url: '/ysqqXmxx/ysqqXmxx/yscgList',
    method: 'get',
    params: query,
  })
}
